Name: daemonize
Version: 1.5.6
Release: 2%{?dist}
Summary: Run a command as a Unix daemon

Group:	Applications/Internet
License: BSD
URL: http://www.clapper.org/software/daemonize/	
Source0: http://www.clapper.org/software/%{name}/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
daemonize runs a command as a Unix daemon. As defined in W. Richard Stevens' 
1990 book, Unix Network Programming (Addison-Wesley, 1990), a daemon is "a 
process that executes 'in the background' (i.e., without an associated 
terminal or login shell) either waiting for some event to occur, or waiting 
to perform some specified task on a periodic basis." Upon startup, a typical 
daemon program will:

- Close all open file descriptors (especially standard input, standard output 
  and standard error)
- Change its working directory to the root filesystem, to ensure that it 
  doesn’t tie up another filesystem and prevent it from being unmounted
- Reset its umask value
- Run in the background (i.e., fork)
- Disassociate from its process group (usually a shell), to insulate itself 
  from signals (such as HUP) sent to the process group
- Ignore all terminal I/O signals
- Disassociate from the control terminal (and take steps not to reacquire one)
- Handle any SIGCLD signals

Most programs that are designed to be run as daemons do that work for 
themselves. However, you’ll occasionally run across one that does not. 
When you must run a daemon program that does not properly make itself into a 
true Unix daemon, you can use daemonize to force it to run as a true daemon.

%prep
%setup0 -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -p" install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README
%{_sbindir}/daemonize
%{_mandir}/man1/daemonize.1.gz

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 Gary T. Giesen <giesen@snickers.org> 1.5.6-1
- New upstream version, incorporates previous Makefile patch

* Sun Jul 05 2009 Gary T. Giesen <giesen@snickers.org> 1.5.4-5
- Changed spec file to preserve timestamp on files for make install

* Sun Jul 05 2009 Gary T. Giesen <giesen@snickers.org> 1.5.4-4
- Fixed missed line in patch for compiler flags

* Sun Jul 05 2009 Gary T. Giesen <giesen@snickers.org> 1.5.4-3
- Further spec file cleanup
- New Makefile patch to make build respect compiler flags and
  install man pages

* Sun Jul 05 2009 Gary T. Giesen <giesen@snickers.org> 1.5.4-2
- Spec file cleanup for consistency with Fedora Packaging Guidelines
- Added install for man pages (it's not installed by 'make install')

* Sat Jul 04 2009 Gary T. Giesen <giesen@snickers.org> 1.5.4-1
- Initial Spec file creation for Fedora
